﻿Imports Microsoft.VisualBasic
Imports System.Linq
Imports System.Linq.Expressions
Imports System.Data.Linq
Imports System

Namespace VCLinks
    Partial Public Class VCLinksDataContext
        Inherits System.Data.Linq.DataContext

        Private Sub InsertVCLink(ByVal instance As VCLink)

            Dim results = From link In VCLinks.AsQueryable _
                          Where link.LinkName = instance.LinkName _
                          Or link.LinkURL = instance.LinkURL _
                          Select link

            If results.Count() > 0 Then
                Throw New Exception("Link Name or Url is already being used")
            End If

            Me.ExecuteDynamicInsert(instance)
        End Sub

        Private Sub UpdateVCLink(ByVal instance As VCLink)

            Dim results = From link In VCLinks.AsQueryable _
                          Where (link.LinkName = instance.LinkName _
                          Or link.LinkURL = instance.LinkURL) _
                          And link.VCLinksID <> instance.VCLinksID _
                          Select link

            If results.Count() > 0 Then
                Throw New Exception("Link Name or Url is already being used")
            End If

            Me.ExecuteDynamicUpdate(instance)
        End Sub
    End Class
End Namespace
