﻿<%@ Control Language="VB" AutoEventWireup="false" CodeFile="ucAdminLinks.ascx.vb"
    Inherits="VinoCellar.Modules.VCLinks.ucAdminLinks" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<asp:LinqDataSource ID="LinqDataSource1" runat="server" ContextTypeName="VCLinks.VCLinksDataContext"
    EnableDelete="True" EnableInsert="True" EnableUpdate="True" TableName="VCLinks"
    Where="VCLinksID == @VCLinksID">
    <WhereParameters>
        <asp:QueryStringParameter Name="VCLinksID" QueryStringField="LinkID" Type="Int32" />
    </WhereParameters>
</asp:LinqDataSource>
<asp:LinqDataSource ID="LinqDataSource2" runat="server" ContextTypeName="VCLinks.VCLinksDataContext"
    TableName="VCLinksCategories">
</asp:LinqDataSource>
<p>
    <asp:LinkButton ID="lnkPermission" runat="server" ForeColor="#FF3300" Visible="False">You must be a registered user to Add a Wine Link - Click 
                here to return.</asp:LinkButton>
</p>
<p>
    <asp:FormView ID="FormView1" runat="server" DataKeyNames="VCLinksID" DataSourceID="LinqDataSource1"
        DefaultMode="Edit">
        <EditItemTemplate>
                <div style="text-align: left">
                <br />
                <table border="0" cellpadding="0" cellspacing="4">
                    <tr>
                        <td align="left" style="width: 120px; height: 19px; text-align: left; font-size: 14px;
                            font-family: Arial, Garamond;">
                            Select Category: &nbsp;
                        </td>
                        <td style="width: 520px; height: 19px">
                            <asp:DropDownList ID="ddlCategory" runat="server" AppendDataBoundItems="True" DataSourceID="LinqDataSource2"
                                DataTextField="CategoryDescription" DataValueField="VCLinksCategoryID" SelectedValue='<%# Bind("VCLinksCategoryID") %>'
                                ToolTip="Select a Wine Link Category" ValidationGroup="AddLink">
                                <asp:ListItem Value="0">Please Select a Category...</asp:ListItem>
                            </asp:DropDownList>
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="ddlCategory"
                                ErrorMessage="* Please Select a Wine Category" InitialValue="0" SetFocusOnError="True"
                                ToolTip="Please Select a Wine Category" ValidationGroup="AddLink"></asp:RequiredFieldValidator>
                        </td>
                    </tr>
                    <tr>
                        <td align="left" style="width: 120px; height: 19px; text-align: left; font-size: 14px;
                            font-family: Arial, Garamond;">
                            Name of Link: &nbsp;
                        </td>
                        <td>
                            <asp:TextBox ID="tbLinkName" runat="server" MaxLength="100" Text='<%# Bind("LinkName") %>'
                                ToolTip="Add Name of the Wine Link" ValidationGroup="AddLink" Width="290px"></asp:TextBox>
                            <br />
                            <asp:RequiredFieldValidator ID="rfvaltbLinkName" runat="server" ControlToValidate="tbLinkName"
                                ErrorMessage="* Please Add a Wine Link Name" SetFocusOnError="True" ToolTip="Please Add a Wine Link Name"
                                ValidationGroup="AddLink">* Please Add a Wine Link Name</asp:RequiredFieldValidator>
                            <cc1:TextBoxWatermarkExtender ID="tbweLinkName" runat="server" TargetControlID="tbLinkName"
                                WatermarkCssClass="WaterMarked" WatermarkText="VinoCellar">
                            </cc1:TextBoxWatermarkExtender>
                        </td>
                    </tr>
                    <tr>
                        <td align="left" style="width: 120px; height: 19px; text-align: left; font-size: 14px;
                            font-family: Arial, Garamond;">
                            Link URL: &nbsp;
                        </td>
                        <td style="width: 520px; height: 19px">
                            <asp:TextBox ID="tbLinkURL" runat="server" CausesValidation="True" MaxLength="100"
                                Text='<%# Bind("LinkURL") %>' ToolTip="Add URL of the Wine Link" ValidationGroup="AddLink"
                                Width="290px" Wrap="False"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="tbLinkURL"
                                ErrorMessage="* Url is required" ValidationGroup="AddLink"></asp:RequiredFieldValidator>
                            &nbsp;<br />
                            <asp:RegularExpressionValidator ID="regexpValtbURL" runat="server" ControlToValidate="tbLinkURL"
                                ErrorMessage="* Add a Wine Link URL (include http://)" SetFocusOnError="True"
                                ToolTip="Please Add a Wine Link URL (include http://)" ValidationExpression="http(s)?://([\w-]+\.)+[\w-]+(/[\w- ./?%&amp;=]*)?"
                                ValidationGroup="AddLink">* Add a Wine Link URL (include http://)</asp:RegularExpressionValidator>
                            &nbsp;<cc1:TextBoxWatermarkExtender ID="tbweLinkURL" runat="server" Enabled="True"
                                TargetControlID="tbLinkURL" WatermarkCssClass="WaterMarked" WatermarkText="http://www.VinoCellar.com">
                            </cc1:TextBoxWatermarkExtender>
                        </td>
                    </tr>
                    <tr>
                        <td align="left" style="width: 120px; height: 19px; text-align: left; font-size: 14px;
                            font-family: Arial, Garamond;">
                            Link Description: &nbsp;
                        </td>
                        <td style="width: 520px; height: 19px">
                            <asp:TextBox ID="tbLinkDescription" runat="server" MaxLength="1000" Rows="8" Text='<%# Bind("LinkDescription") %>'
                                TextMode="MultiLine" ToolTip="Enter Wine Link Description Here" Width="400px"></asp:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td align="left" style="width: 120px; height: 19px; text-align: left; font-size: 14px;
                            font-family: Arial, Garamond;">
                        </td>
                        <td style="width: 520px; height: 19px">
                            &nbsp;
                        </td>
                    </tr>
                    <tr>
                        <td align="right" style="text-align: right; font-family: Garamond, Arial;">
                            <asp:Button ID="bReturn" runat="server" Text="Return" CausesValidation="False" CommandName="Cancel"
                                OnClick="bReturn_Click" />
                            &nbsp;&nbsp;
                        </td>
                        <td nowrap="nowrap">
                            <asp:Button ID="bSubmit" runat="server" CommandName="Update" Text="Update and Return"
                                ToolTip="Click to submit the new Wine Link" ValidationGroup="AddLink" />
                            &nbsp;
                            <asp:Button ID="bSubmitAddAnother" runat="server" CommandName="Delete" Text="Delete"
                                ToolTip="Click to submit the new Wine Link, and then add another"
                                ValidationGroup="AddLink" />
                            &nbsp;
                        </td>
                    </tr>
                </table>
            </div>
        </EditItemTemplate>
        <InsertItemTemplate>
            <div style="text-align: left">
                <br />
                <table border="0" cellpadding="0" cellspacing="4">
                    <tr>
                        <td align="left" style="width: 120px; height: 19px; text-align: left; font-size: 14px;
                            font-family: Arial, Garamond;">
                            Select Category: &nbsp;
                        </td>
                        <td style="width: 520px; height: 19px">
                            <asp:DropDownList ID="ddlCategory" runat="server" AppendDataBoundItems="True" DataSourceID="LinqDataSource2"
                                DataTextField="CategoryDescription" DataValueField="VCLinksCategoryID" SelectedValue='<%# Bind("VCLinksCategoryID") %>'
                                ToolTip="Select a Wine Link Category" ValidationGroup="AddLink">
                                <asp:ListItem Value="0">Please Select a Category...</asp:ListItem>
                            </asp:DropDownList>
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="ddlCategory"
                                ErrorMessage="* Please Select a Wine Category" InitialValue="0" SetFocusOnError="True"
                                ToolTip="Please Select a Wine Category" ValidationGroup="AddLink"></asp:RequiredFieldValidator>
                        </td>
                    </tr>
                    <tr>
                        <td align="left" style="width: 120px; height: 19px; text-align: left; font-size: 14px;
                            font-family: Arial, Garamond;">
                            Name of Link: &nbsp;
                        </td>
                        <td>
                            <asp:TextBox ID="tbLinkName" runat="server" MaxLength="100" Text='<%# Bind("LinkName") %>'
                                ToolTip="Add Name of the Wine Link" ValidationGroup="AddLink" Width="290px"></asp:TextBox>
                            <br />
                            <asp:RequiredFieldValidator ID="rfvaltbLinkName" runat="server" ControlToValidate="tbLinkName"
                                ErrorMessage="* Please Add a Wine Link Name" SetFocusOnError="True" ToolTip="Please Add a Wine Link Name"
                                ValidationGroup="AddLink">* Please Add a Wine Link Name</asp:RequiredFieldValidator>
                            <cc1:TextBoxWatermarkExtender ID="tbweLinkName" runat="server" TargetControlID="tbLinkName"
                                WatermarkCssClass="WaterMarked" WatermarkText="VinoCellar">
                            </cc1:TextBoxWatermarkExtender>
                        </td>
                    </tr>
                    <tr>
                        <td align="left" style="width: 120px; height: 19px; text-align: left; font-size: 14px;
                            font-family: Arial, Garamond;">
                            Link URL: &nbsp;
                        </td>
                        <td style="width: 520px; height: 19px">
                            <asp:TextBox ID="tbLinkURL" runat="server" CausesValidation="True" MaxLength="100"
                                Text='<%# Bind("LinkURL") %>' ToolTip="Add URL of the Wine Link" ValidationGroup="AddLink"
                                Width="290px" Wrap="False"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="tbLinkURL"
                                ErrorMessage="* Url is required" ValidationGroup="AddLink"></asp:RequiredFieldValidator>
                            &nbsp;<br />
                            <asp:RegularExpressionValidator ID="regexpValtbURL" runat="server" ControlToValidate="tbLinkURL"
                                ErrorMessage="* Add a Wine Link URL (include http://)" SetFocusOnError="True"
                                ToolTip="Please Add a Wine Link URL (include http://)" ValidationExpression="http(s)?://([\w-]+\.)+[\w-]+(/[\w- ./?%&amp;=]*)?"
                                ValidationGroup="AddLink">* Add a Wine Link URL (include http://)</asp:RegularExpressionValidator>
                            &nbsp;<cc1:TextBoxWatermarkExtender ID="tbweLinkURL" runat="server" Enabled="True"
                                TargetControlID="tbLinkURL" WatermarkCssClass="WaterMarked" WatermarkText="http://www.VinoCellar.com">
                            </cc1:TextBoxWatermarkExtender>
                        </td>
                    </tr>
                    <tr>
                        <td align="left" style="width: 120px; height: 19px; text-align: left; font-size: 14px;
                            font-family: Arial, Garamond;">
                            Link Description: &nbsp;
                        </td>
                        <td style="width: 520px; height: 19px">
                            <asp:TextBox ID="tbLinkDescription" runat="server" MaxLength="1000" Rows="8" Text='<%# Bind("LinkDescription") %>'
                                TextMode="MultiLine" ToolTip="Enter Wine Link Description Here" Width="400px"></asp:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td align="left" style="width: 120px; height: 19px; text-align: left; font-size: 14px;
                            font-family: Arial, Garamond;">
                        </td>
                        <td style="width: 520px; height: 19px">
                            &nbsp;
                        </td>
                    </tr>
                    <tr>
                        <td align="right" style="text-align: right; font-family: Garamond, Arial;">
                            <asp:Button ID="bReturn" runat="server" Text="Return" CausesValidation="False" CommandName="Cancel"
                                OnClick="bReturn_Click" />
                            &nbsp;&nbsp;
                        </td>
                        <td nowrap="nowrap">
                            <asp:Button ID="bSubmit" runat="server" CommandName="Insert" Text="Submit and Return"
                                ToolTip="Click to submit the new Wine Link" ValidationGroup="AddLink" />
                            &nbsp;
                            <asp:Button ID="bSubmitAddAnother" runat="server" CommandName="Insert" Text="Submit And Add Another"
                                ToolTip="Click to submit the new Wine Link, and then add another" CommandArgument="AddAnother"
                                ValidationGroup="AddLink" />
                            &nbsp;
                        </td>
                    </tr>
                </table>
            </div>
        </InsertItemTemplate>
    </asp:FormView>
</p>
<asp:Label ID="lblError" runat="server" EnableViewState="False" ForeColor="Red"></asp:Label>
